|
|
712866 |
From 7cddfbbadbc40a4b6d331be25a3c38ad3a52239b Mon Sep 17 00:00:00 2001
|
|
|
712866 |
From: Harald Hoyer <harald@redhat.com>
|
|
|
712866 |
Date: Thu, 10 Sep 2015 13:21:53 +0200
|
|
|
712866 |
Subject: [PATCH] iscsi/iscsiroot.sh: use all_ifaces_setup()
|
|
|
712866 |
|
|
|
712866 |
we want the route and gateway setup
|
|
|
712866 |
---
|
|
|
712866 |
modules.d/95iscsi/iscsiroot.sh | 6 +++---
|
|
|
712866 |
1 file changed, 3 insertions(+), 3 deletions(-)
|
|
|
712866 |
|
|
|
712866 |
diff --git a/modules.d/95iscsi/iscsiroot.sh b/modules.d/95iscsi/iscsiroot.sh
|
|
|
5c6c2a |
index 7688b282..424d2166 100755
|
|
|
712866 |
--- a/modules.d/95iscsi/iscsiroot.sh
|
|
|
712866 |
+++ b/modules.d/95iscsi/iscsiroot.sh
|
|
|
712866 |
@@ -108,7 +108,7 @@ handle_netroot()
|
|
|
712866 |
parse_iscsi_root "$1" || return 1
|
|
|
712866 |
|
|
|
712866 |
# Bail out early, if there is no route to the destination
|
|
|
712866 |
- if is_ip "$iscsi_target_ip" && [ "$netif" != "timeout" ] && ! all_ifaces_up && getargbool 1 rd.iscsi.testroute; then
|
|
|
712866 |
+ if is_ip "$iscsi_target_ip" && [ "$netif" != "timeout" ] && ! all_ifaces_setup && getargbool 1 rd.iscsi.testroute; then
|
|
|
712866 |
ip route get "$iscsi_target_ip" >/dev/null 2>&1 || return 0
|
|
|
712866 |
fi
|
|
|
712866 |
|
|
|
712866 |
@@ -227,10 +227,10 @@ handle_netroot()
|
|
|
712866 |
ret=0
|
|
|
712866 |
|
|
|
712866 |
if [ "$netif" != "timeout" ] && getargbool 1 rd.iscsi.waitnet; then
|
|
|
712866 |
- all_ifaces_up || exit 0
|
|
|
712866 |
+ all_ifaces_setup || exit 0
|
|
|
712866 |
fi
|
|
|
712866 |
|
|
|
712866 |
-if [ "$netif" = "timeout" ] && all_ifaces_up; then
|
|
|
712866 |
+if [ "$netif" = "timeout" ] && all_ifaces_setup; then
|
|
|
712866 |
# s.th. went wrong and the timeout script hits
|
|
|
712866 |
# restart
|
|
|
712866 |
systemctl restart iscsid
|